Subject: Re: [PATCH 0/7] RFC: Accelerate xdiff and begin its rustification

From: Junio C Hamano <[email-masked]>
Date: Fri, 18 Jul 2025 07:38:29 -0700

"Ezekiel Newren via GitGitGadget" <[email-masked]> writes:

> This series accelerates xdiff by 5-19%.

;-)

Do we know how much of that can be attributed to the hash algorithm
difference, and how much for languages?

The earlier parts of the series to trim unused code and refactor
look to me that they are good changes regardless of whether we
introduce a different hash algorithm, and/or we use an
implementation of that different hash algorithm written in Rust.
IOW, even if neither of these two happens, I would think that the
earlier parts are independently good pieces.

Thanks for starting this effort.  And thanks Elijah for helping.

And in case nobody has said this yet, welcome to the Git development
community.